<?php
namespace Util;



class Log
{

    /** @var array  */
    public $logRequest = array();
    public $start = array();


    public function setLogRequest($message,$time) {
        $this->logRequest[] = array($message ,round($time,3));
    }

    public static function getLogRequest() {
        return InstanceProvider::getLog()->logRequest;
    }

    public function setLog($message,$isStart = false, $index = 0, $timeStart = false) {
        if($isStart){
            if($timeStart){
                $this->start[$index] = $timeStart;
            }else{
                $this->start[$index] = microtime(true);
            }
        }else if(!empty($this->start[$index])){
            $end = microtime(true);
            $time = $end - $this->start[$index] ;

            $this->setLogRequest($message,$time);
            $this->start[$index] = microtime(true);
        }
    }
}